com.fasterxml.jackson.databind.introspect

## Class AnnotatedAndMetadata<A extends Annotated,M>

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.AnnotatedAndMetadata<A,M>

    public class AnnotatedAndMetadata<A extends Annotated,M>
    extends Object

Silly little "Pair" class needed for 2-element tuples (without adding dependency to one of 3rd party packages that has one).

Since:
  2.13

### Field Summary

Fields
`A` `annotated`
`M` `metadata`

### Constructor Summary

Constructors
Constructor and Description
`AnnotatedAndMetadata(A ann, M md)`

### Method Summary

All Methods Static Methods Concrete Methods
`static <A extends Annotated,M> AnnotatedAndMetadata<A,M>` `of(A ann, M md)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### annotated

    public final A extends Annotated annotated

#### metadata

    public final M metadata

### Constructor Detail

#### AnnotatedAndMetadata

    public AnnotatedAndMetadata(A ann,
                                M md)

### Method Detail

#### of

    public static <A extends Annotated,M> AnnotatedAndMetadata<A,M> of(A ann,
                                                                       M md)